hwy::HWY_NAMESPACE::Vec1< T > Struct Template Reference

`#include <scalar-inl.h>`

## Public Types

using | PrivateT = T

## Public Member Functions

HWY_INLINE | Vec1 ()=default
| Vec1 (const Vec1 &)=default
Vec1 & | operator= (const Vec1 &)=default
HWY_INLINE | Vec1 (const T t)
HWY_INLINE Vec1 & | operator*= (const Vec1 other)
HWY_INLINE Vec1 & | operator/= (const Vec1 other)
HWY_INLINE Vec1 & | operator+= (const Vec1 other)
HWY_INLINE Vec1 & | operator-= (const Vec1 other)
HWY_INLINE Vec1 & | operator&= (const Vec1 other)
HWY_INLINE Vec1 & | operator|= (const Vec1 other)
HWY_INLINE Vec1 & | operator^= (const Vec1 other)

## Public Attributes

T | raw

## Static Public Attributes

static constexpr size_t | kPrivateN = 1

## Member Typedef Documentation

## PrivateT

template<typename T >

using hwy::HWY_NAMESPACE::Vec1< T >::PrivateT = T

## Constructor & Destructor Documentation

## Vec1() [1/3]

template<typename T >

HWY_INLINE hwy::HWY_NAMESPACE::Vec1< T >::Vec1 | ( |  | ) |

default

## Vec1() [2/3]

template<typename T >

hwy::HWY_NAMESPACE::Vec1< T >::Vec1 | ( | const Vec1< T > & |  | ) |

default

## Vec1() [3/3]

template<typename T >

HWY_INLINE hwy::HWY_NAMESPACE::Vec1< T >::Vec1 | ( | const T | t | ) |

inline explicit

## Member Function Documentation

## operator&=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator&= | ( | const Vec1< T > | other | ) |

inline

## operator*=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator*= | ( | const Vec1< T > | other | ) |

inline

## operator+=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator+= | ( | const Vec1< T > | other | ) |

inline

## operator-=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator-= | ( | const Vec1< T > | other | ) |

inline

## operator/=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator/= | ( | const Vec1< T > | other | ) |

inline

## operator=()

template<typename T >

Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator= | ( | const Vec1< T > & |  | ) |

default

## operator^=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator^= | ( | const Vec1< T > | other | ) |

inline

## operator|=()

template<typename T >

HWY_INLINE Vec1 & hwy::HWY_NAMESPACE::Vec1< T >::operator|= | ( | const Vec1< T > | other | ) |

inline

## Member Data Documentation

## kPrivateN

template<typename T >

constexpr size_t hwy::HWY_NAMESPACE::Vec1< T >::kPrivateN = 1

static constexpr

## raw

template<typename T >

T hwy::HWY_NAMESPACE::Vec1< T >::raw

Referenced by hwy::HWY_NAMESPACE::Abs(), hwy::HWY_NAMESPACE::Abs(), hwy::HWY_NAMESPACE::Abs(), hwy::HWY_NAMESPACE::ApproximateReciprocalSqrt(), hwy::HWY_NAMESPACE::AverageRound(), hwy::HWY_NAMESPACE::AverageRound(), hwy::HWY_NAMESPACE::BroadcastSignBit(), hwy::HWY_NAMESPACE::ConvertTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::DemoteTo(), hwy::HWY_NAMESPACE::GatherIndex(), hwy::HWY_NAMESPACE::GatherOffset(), hwy::HWY_NAMESPACE::GetLane(), hwy::HWY_NAMESPACE::IfNegativeThenElse(), hwy::HWY_NAMESPACE::IndicesFromVec(), hwy::HWY_NAMESPACE::IsFinite(), hwy::HWY_NAMESPACE::IsFinite(), hwy::HWY_NAMESPACE::Max(), hwy::HWY_NAMESPACE::Min(), hwy::HWY_NAMESPACE::MulEven(), hwy::HWY_NAMESPACE::MulEven(), hwy::HWY_NAMESPACE::MulFixedPoint15(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::MulHigh(), hwy::HWY_NAMESPACE::NearestInt(), hwy::HWY_NAMESPACE::operator!=(), hwy::HWY_NAMESPACE::operator*(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator+(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator-(), hwy::HWY_NAMESPACE::operator/(), hwy::HWY_NAMESPACE::operator<(), hwy::HWY_NAMESPACE::operator<<(), hwy::HWY_NAMESPACE::operator<=(), hwy::HWY_NAMESPACE::operator==(), hwy::HWY_NAMESPACE::operator>(), hwy::HWY_NAMESPACE::operator>=(), hwy::HWY_NAMESPACE::operator>>(), hwy::HWY_NAMESPACE::PromoteTo(), hwy::HWY_NAMESPACE::ReorderWidenMulAccumulate(), hwy::HWY_NAMESPACE::ReorderWidenMulAccumulate(), hwy::HWY_NAMESPACE::Round(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedAdd(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::SaturatedSub(), hwy::HWY_NAMESPACE::ScatterIndex(), hwy::HWY_NAMESPACE::ScatterOffset(), hwy::HWY_NAMESPACE::ZeroIfNegative(), hwy::HWY_NAMESPACE::ZipLower(), hwy::HWY_NAMESPACE::ZipLower(), hwy::HWY_NAMESPACE::ZipLower(), hwy::HWY_NAMESPACE::ZipLower(), hwy::HWY_NAMESPACE::ZipLower(), hwy::HWY_NAMESPACE::ZipLower(), and hwy::HWY_NAMESPACE::ZipLower().

The documentation for this struct was generated from the following file:

- scalar-inl.h